<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">
<html>
<head>
	<title>CfP Manager - All Submissions</title>
</head>
<body>
	<xsl:for-each select="cfpdata/paper">
		<p>
			<big><b>
				Paper #<xsl:value-of select="@paperid"/>:
				<xsl:value-of select="title"/>
			</b></big>
			<br/>
			(User #<xsl:value-of select="user/@userid"/>:
			<xsl:value-of select="user/username"/>,
			<xsl:value-of select="user/useremail"/>)
		</p>
		<xsl:for-each select="schedule">
			<p><b>
				Scheduled in room
				<xsl:value-of select="@room"/>
				on day
				<xsl:value-of select="@day"/>
				from
				<xsl:value-of select="@begin"/>
				to
				<xsl:value-of select="@end"/>.
			</b></p>
		</xsl:for-each>
		<p>
			<b>Abstract:</b><br/>
			<pre><xsl:value-of select="abstract"/></pre>
		</p>
		<p>
			<b>Language (Paper / Presentation):</b><br/>
			<xsl:value-of select="lang_paper"/> /
			<xsl:value-of select="lang_pres"/>
		</p>
		<p>
			<b>Author:</b><br/>
			Name: <xsl:value-of select="author"/><br/>
			E-Mail: <xsl:value-of select="email"/><br/>
			Organisation: <xsl:value-of select="orga"/><br/>
			Telephone: <xsl:value-of select="tel"/><br/>
		</p>
		<p>
			<b>URLs:</b><br/>
			Author: <xsl:value-of select="url_author"/><br/>
			Organisation: <xsl:value-of select="url_orga"/><br/>
			Paper: <xsl:value-of select="url_paper"/><br/>
		</p>
		<p>
			<b>Vitae:</b><br/>
			<pre><xsl:value-of select="vitae"/></pre>
		</p>
		<p>
			<b>Flags:</b><br/>
			<xsl:for-each select="flag">
				<xsl:value-of select="@key"/>:
				<xsl:value-of select="."/>
				<br/>
			</xsl:for-each>
		</p>
		<p>
			<b>Length:</b><br/>
			<xsl:for-each select="length">
				<xsl:value-of select="@key"/>:
				<xsl:value-of select="."/>
				<br/>
			</xsl:for-each>
		</p>
		<p>
			<b>Comments:</b><br/>
			<pre><xsl:value-of select="comments"/></pre>
		</p>
		<hr/>
		<p style="page-break-after: always;"/>
	</xsl:for-each>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
