<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:set="http://exslt.org/sets"
	extension-element-prefixes="set">
<xsl:output method="html" indent="yes"/>
<xsl:template match="/">
<html>
<head>
	<title>CfP Manager - All Submissions</title>
</head>
<body>
	<xsl:for-each select="set:distinct(/cfpdata/paper/schedule/@day)">
		<xsl:variable name="day" select="."/>
		<h3>Schedule for Day #<xsl:value-of select="$day"/></h3>
		<table bgcolor="#000000" width="100%" border="1">
			<tr>
				<th width="2%" bgcolor="#aaaaff">Time</th>
				<xsl:variable name="room_set"
						select="set:distinct(/cfpdata/paper/schedule[@day = $day]/@room)"/>
				<xsl:for-each select="$room_set">
					<xsl:sort select="."/>
					<th width="{98 div count($room_set)}%" bgcolor="#aaaaff"><xsl:value-of select="."/></th>
				</xsl:for-each>
			</tr>
			<xsl:variable name="time_set"
					select="set:distinct(/cfpdata/paper/schedule[@day = $day]/
					        @*[name() = 'begin' or name() = 'end'])"/>
			<xsl:for-each select="$time_set">
				<xsl:sort select="."/>
				<xsl:variable name="time" select="."/>
				<tr>
					<td bgcolor="#aaaaff"><xsl:value-of select="."/></td>
					<xsl:for-each select="set:distinct(/cfpdata/paper/schedule[@day = $day]/@room)">
						<xsl:sort select="."/>
						<xsl:variable name="room" select="."/>

						<xsl:variable name="sched"
								select="/cfpdata/paper/schedule
								        [@day = $day and @room = $room and @begin = $time]"/>
						<xsl:variable name="paper"
								select="$sched/.."/>
						<xsl:variable name="cpaper"
								select="/cfpdata/paper/schedule[@day = $day and @room = $room and
									@begin &lt;= $time and @end &gt; $time]/.."/>

						<xsl:choose>
							<xsl:when test="$paper">
								<xsl:variable name="cl"
									select="$time_set[$sched/@begin &lt;= . and $sched/@end &gt; .]"/>
								<xsl:variable name="c"
									select="count($cl)"/>
								<td bgcolor="#aaffaa" rowspan="{$c}" valign="top">
									<b><xsl:value-of select="$paper/title"/></b>
									<br/>
									by <xsl:value-of select="$paper/author"/>
								</td>
							</xsl:when>
							<xsl:when test="$cpaper">
								<xsl:comment>
									<xsl:value-of select="$cpaper/title"/>
								</xsl:comment>
							</xsl:when>
							<xsl:otherwise>
								<td bgcolor="#aaaaaa">
									<xsl:text disable-output-escaping="yes">&amp;nbsp;</xsl:text>
								</td>
							</xsl:otherwise>
						</xsl:choose>
					</xsl:for-each>
				</tr>
			</xsl:for-each>
		</table>
		<hr/>
		<p style="page-break-after: always;"/>
	</xsl:for-each>
</body>
</html>
</xsl:template>
</xsl:stylesheet>
