#!/bin/bash

echo "Creating data directory.."
rm -rf data
mkdir -p data

echo "Creating database.."
rm -f cfpmanager.db
sqlite3 cfpmanager.db < database.sql

echo "Creating schedule.txt file.."
cat << EOT > schedule.txt
#
# conference schedule (whitespace+comma seperated table format)
#
# fields:
# day-number, room-id, begin-time, end-time, talk-id, comment
#
# all times are in the format "HHMM".
# day-number and room-id may be in any format.
# the comment is optional.
#
# use leading zero syntax for all numbers. otherwise you might
# misslead the sorting algorithms.
#

# example record:
# 01, A1, 0900, 0930, 42, keynote talk

EOT

read -p "Please choose an admin passwort: " pass
read -p "Please choose an admin e-mail address: " email

sqlite3 cfpmanager.db << EOT
insert into user (activate_key, isadmin, username, password, email) values
	('', 1, 'admin', '${pass//\'/''}', '${email//\'/''}');
EOT

echo "Created user 'admin'."

read -p "Do you want me to import an example database? (yes/[no]) " q
case "$q" in
    [Yy]*)
    	echo "Importing example database.."
	../splrun -M ../spl_modules exampledata.spl >> schedule.txt
	;;
esac

echo "Please login on the webpage now."

