<?xml version="1.0"?>

<!--

 SPL - The SPL Programming Language
 Copyright (C) 2004, 2005  Clifford Wolf <clifford@clifford.at>

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

 render.xsl: SPLCMS Example HTML Rendering XSLT

-->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns="http://www.w3.org/1999/xhtml">
<xsl:output
	method="html" indent="yes"
	doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN"
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"/>
<xsl:param name="page"/>

<xsl:template name="menu_worker">
	<div class="menusect">
	<xsl:choose>
		<xsl:when test="@name = $page">
			<b><xsl:value-of select="@title"/></b>
		</xsl:when>
		<xsl:otherwise>
			<a href="{@name}.html"><xsl:value-of select="@title"/></a>
		</xsl:otherwise>
	</xsl:choose>
	<br/>
	<xsl:if test="page">
		<xsl:for-each select="page">
			<xsl:call-template name="menu_worker"/>
		</xsl:for-each>
	</xsl:if>
	</div>
</xsl:template>

<xsl:template name="menu">
	<div align="center">
	<xsl:for-each select="/root/logo">
		<a href="index.html"><img src="{file}" alt="{desc}" border="0"/></a>
	</xsl:for-each>
	</div>
	<xsl:for-each select="/root/page">
		<p>
		<xsl:call-template name="menu_worker"/>
		</p>
	</xsl:for-each>
</xsl:template>

<xsl:template match="/">
  <xsl:for-each select="//page[@name = $page]">
	<html>
	<head>
		<title><xsl:value-of select="@title"/></title>
		<link rel="stylesheet" href="default.css" media="all"/>
	</head>
	<body>

	<div class="banner">
	<h1><xsl:value-of select="@title"/></h1>
	</div>

	<div class="leftbar">
		<div class="menu">
		<xsl:call-template name="menu"/>
		</div>

		<xsl:for-each select="//sidebox[@pos = 'left']">
			<div class="leftboxtitle">
				<xsl:value-of select="@title"/>
			</div>
			<div class="leftbox">
				<xsl:value-of disable-output-escaping="yes" select="."/>
			</div>
		</xsl:for-each>
	</div>

	<div class="rightbar">
	<xsl:for-each select="//sidebox[@pos = 'right']">
		<div class="rightboxtitle">
			 <xsl:value-of select="@title"/>
		</div>
		<div class="rightbox">
			<xsl:value-of disable-output-escaping="yes" select="."/>
		</div>
	</xsl:for-each>
	</div>

	<div class="body">
	<xsl:for-each select="teaser">
		<div class="teaser">
			<xsl:value-of disable-output-escaping="yes" select="."/>
		</div>
	</xsl:for-each>

	<xsl:for-each select="content">
		<div class="contenttitle">
			<xsl:value-of select="@title"/>
		</div>
		<div class="content">
			<xsl:value-of disable-output-escaping="yes" select="."/>
		</div>
	</xsl:for-each>

	<xsl:if test="subpagebar">
		<div class="subpagebar">
		<table width="100%"><tr>
		<xsl:for-each select="page">
			<xsl:variable name="w" select="100 div count(../page)"/>
			<td width="{$w}%"><div class="subpagebox">
			<a href="{@name}.html"><xsl:value-of select="@title"/></a>
			</div></td>
		</xsl:for-each>
		</tr></table>
		</div>
	</xsl:if>
	</div>

	</body>
	</html>
  </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
